<?xml version="1.0" encoding="utf-8"?>

<image schemaversion="6.8" name="Trivial-Container-EL9-Appliance">
    <description type="system">
        <author>Neal Gompa</author>
        <contact>ngompa@centosproject.org</contact>
        <specification>Trivial Container Appliance based on CentOS 9</specification>
    </description>
    <preferences>
        <version>0.0.0</version>
        <packagemanager>dnf</packagemanager>
        <locale>en_US</locale>
        <keytable>us</keytable>
        <timezone>UTC</timezone>
        <rpm-locale-filtering>true</rpm-locale-filtering>
        <rpm-check-signatures>true</rpm-check-signatures>
        <rpm-excludedocs>true</rpm-excludedocs>
        <type image="tbz"/>
    </preferences>
    <users>
        <!-- This should probably be something stronger and encrypted by default: https://osinside.github.io/kiwi/concept_and_workflow/users.html -->
        <user password="linux" pwdformat="plain" home="/root" name="root" groups="root"/>
    </users>
    <repository type="rpm-md" alias="crb" sourcetype="metalink">
        <source path="https://mirrors.centos.org/metalink?repo=centos-crb-9-stream&amp;arch=$basearch">
            <signing key="file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-Official"/>
        </source>
    </repository>
    <repository type="rpm-md" alias="appstream" sourcetype="metalink">
        <source path="https://mirrors.centos.org/metalink?repo=centos-appstream-9-stream&amp;arch=$basearch">
            <signing key="file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-Official"/>
        </source>
    </repository>
    <repository type="rpm-md" alias="baseos" sourcetype="metalink">
        <source path="https://mirrors.centos.org/metalink?repo=centos-baseos-9-stream&amp;arch=$basearch">
            <signing key="file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-Official"/>
        </source>
    </repository>
    <packages type="bootstrap">
        <package name="filesystem"/>
        <package name="centos-stream-release"/>
        <package name="passwd"/>
        <package name="shadow-utils"/>
        <package name="glibc-langpack-en"/>
        <package name="yum"/>
        <package name="yum-utils"/>
        <package name="systemd"/>
        <package name="findutils"/>
        <package name="sed"/>
        <package name="basesystem"/>
    </packages>
</image>
